SDL_OpenTitleStorage(3)

NAME
SDL_OpenTitleStorage - Opens up a read-only container for the application's filesystem.

SYNOPSIS
#include <SDL3/SDL_storage.h>

SDL_Storage * SDL_OpenTitleStorage(const char *override, SDL_PropertiesID props);

FUNCTION PARAMETERS

override
    a path to override the backend's default title root.

props
    a property list that may contain backend-specific information.

RETURN VALUE
Returns a title storage container on success or NULL on failure; call SDL_GetError() for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_CloseStorage(3), SDL_GetStorageFileSize(3), SDL_OpenUserStorage(3), SDL_ReadStorageFile(3)